Unable to install BiocManager
2
0
Entering edit mode
anamarija ▴ 10
@anamarija-22787
Last seen 13 months ago

Hello,

I am using R 3.6.3

And I am trying to install BiocManager via:

if (!requireNamespace("BiocManager", quietly = TRUE))
install.packages("BiocManager")
BiocManager::install(version = "3.10")

> if (!requireNamespace("BiocManager", quietly = TRUE))
+     install.packages("BiocManager")
> BiocManager::install(version = "3.10")
Bioconductor version 3.10 (BiocManager 1.30.10), R 3.6.3 (2020-02-29)
Installation path not writeable, unable to update packages: boot, class,
  KernSmooth, lattice, MASS, nlme, nnet, spatial, survival

Can you please advise, Ana

BiocManager • 338 views
ADD COMMENT
1
Entering edit mode
@martin-morgan-1513
Last seen 9 weeks ago
United States

This

Bioconductor version 3.10 (BiocManager 1.30.10), R 3.6.3 (2020-02-29)

indicates that you have successfully installed BiocManager -- you're good to go!

This

Installation path not writeable, unable to update packages: boot, class,
  KernSmooth, lattice, MASS, nlme, nnet, spatial, survival

indicates that some packages have been installed under a different account, usually an 'administrator' account. These are so-called 'recommended' packages; you can ignore the warning, or you can re-install R but do not use an administrator account to do so.

ADD COMMENT
0
Entering edit mode
@anasjamshed1994-23934
Last seen 10 days ago
Pakistan

you required admin permission to install this

ADD COMMENT
1
Entering edit mode

This is wrong. You don't need admin privileges. You can create a new lib path in your home directory and install packages there.

ADD REPLY

Login before adding your answer.

Traffic: 332 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6